.posts {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-bottom: 60px;

  .section__header {
    margin-bottom: 1.1em;
  }

  .posts__wrapper {
    display: grid;
    grid-template-columns: minmax(0, 1fr);
    grid-row-gap: min(calc(24px + 1.05vw), 32px);


    @media (min-width: 1024px) {
      grid-template-columns: repeat(2, 1fr);
      grid-column-gap: 24px;
    }

    .post__item {
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      gap: 12px;

      @media (min-width: 374px) {
        flex-direction: row;
        gap: 20px;
      }

      &:nth-child(1n+4) {
        display: none;

        @media (min-width: 767px) {
          display: flex;
        }
      }

      .post__image-container {
        width: 160px;
        height: 140px;
        object-fit: cover;
      }

      .post__content {
        display: flex;
        flex-direction: column;

        .post__title {
          color: $font-color;
          font-size: 1.125em;
          font-weight: 700;
          line-height: 2.1;
        }

        .post__metadata {
          color: #7C7C7C;
          font-size: calc(11 / 12) * 1em;
          line-height: 1.8;
        }

        .post__text {
          display: none;
          color: #5C5C5C;
          font-size: 1.1em;
          font-weight: 400;
          line-height: 1.8;

          @media (min-width: 480px) {
            display: flex;
          }
        }
      }
    }
  }
}